classification
Title: types.GenericAlias and types.Union have no documentation
Type: Stage: resolved
Components: Documentation Versions: Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: adelfino, docs@python, gvanrossum, kj, miss-islington, pxeger
Priority: normal Keywords: patch

Created on 2020-09-17 19:28 by pxeger, last changed 2020-10-28 16:13 by gvanrossum. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 22615 merged kj, 2020-10-09 17:52
PR 23016 merged kj, 2020-10-28 15:01
Messages (9)
msg377064 - (view) Author: Patrick Reader (pxeger) * Date: 2020-09-17 19:28
See title.

For reference:

`GenericAlias` was added by Guido van Rossum <guido@python.org> in commit 48b069a003ba6c684a9ba78493fbbec5e89f10b8 "bpo-39481: Implementation for [PEP 585](https://www.python.org/dev/peps/pep-0585/) (#18239)"

`Union` was added by Maggi Moss <MaggieMoss@users.noreply.github.com> in commit 1b4552c5e8e925f24c15f707050f22c977171125 "bpo-41428: Implementation for [PEP 604](https://www.python.org/dev/peps/pep-0604/) (GH-21515)"

I can do a PR which would need backporting (is that the right word?) to 3.9 at least for `GenericAlias`.
msg377072 - (view) Author: Andrés Delfino (adelfino) * (Python triager) Date: 2020-09-17 23:11
Hi, Patrick! Yes! It would be great if you could open a PR to document those new types.

The documentation of types.Union should go to master only, and the documentation of types.GenericAlias to both master and 3.9, so two PRs should me opened to address this issues separately.

The backporting (yes! that's the word) to 3.9 will be (fingers-crossed) automatic thanks to Mariatta's https://github.com/python/miss-islington
msg378040 - (view) Author: Ken Jin (kj) * (Python triager) Date: 2020-10-05 15:07
Hi Patrick, I've completed the docs for PEP 604, and would like to work on the docs for PEP 585. May I know if you're still working on this?
msg378282 - (view) Author: Patrick Reader (pxeger) * Date: 2020-10-08 19:24
Sorry, I'd completely forgotten about doing a PR for this. Go ahead!
msg379806 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-10-27 21:37
New changeset 4173320920706b49a004bdddd8d7108e8984e3fc by kj in branch 'master':
bpo-41805: Documentation for PEP 585 (GH-22615)
https://github.com/python/cpython/commit/4173320920706b49a004bdddd8d7108e8984e3fc
msg379830 - (view) Author: miss-islington (miss-islington) Date: 2020-10-28 15:34
New changeset 577d7c4e628260eb7926d043ca9c355ece583eb7 by kj in branch '3.9':
[3.9] bpo-41805: Documentation for PEP 585 (GH-22615) (GH-23016)
https://github.com/python/cpython/commit/577d7c4e628260eb7926d043ca9c355ece583eb7
msg379832 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-10-28 15:59
Thanks Ken Ji! Are you planning more doc patches?
msg379835 - (view) Author: Ken Jin (kj) * (Python triager) Date: 2020-10-28 16:10
@guido, you're welcome! I'm thinking of updating the temporary hyperlinks for GenericAlias/PEP 585 in Union, subscriptions and typing, I'll submit 2 separate PRs since subscription and typing require backporting. 

If I think of anything major, I'll open a separate bpo to keep track of it there. Thanks.
msg379836 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-10-28 16:13
Cool. Please add me to the nosy list of any issues you open.

Also, if you're interesting helping out with the match statement, once the SC approves it, we'll need to add docs for that. See issue42128 for a possible plan.
History
Date User Action Args
2020-10-28 16:13:11gvanrossumsetmessages: + msg379836
2020-10-28 16:10:26kjsetmessages: + msg379835
2020-10-28 15:59:14gvanrossumsetstatus: open -> closed
resolution: fixed
messages: + msg379832

stage: patch review -> resolved
2020-10-28 15:34:14miss-islingtonsetnosy: + miss-islington
messages: + msg379830
2020-10-28 15:01:37kjsetpull_requests: + pull_request21932
2020-10-27 21:37:20gvanrossumsetnosy: + gvanrossum
messages: + msg379806
2020-10-09 17:52:21kjsetkeywords: + patch
stage: patch review
pull_requests: + pull_request21596
2020-10-08 19:24:54pxegersetmessages: + msg378282
2020-10-05 15:07:29kjsetnosy: + kj
messages: + msg378040
2020-09-17 23:11:32adelfinosetnosy: + adelfino
messages: + msg377072
2020-09-17 19:28:27pxegercreate